Bug 88022 - Clicking templates tab causes CCM Error
Clicking templates tab causes CCM Error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: 87722
  Show dependency treegraph
 
Reported: 2003-04-04 13:58 EST by Jon Orris
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-21 23:55:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-04-04 13:58:00 EST
Description of problem:
@29500
Clicking templates tab causes CCM Error
I thought I'd entered it last night, but bugzilla-- must've rejected the form
and I didn't notice :(

*-*-*- ACS Error Report Code:
ccm-installer.boston.redhat.com:8080:5399fade:f45a06383c -*-*-*-
-*-*-*- Message: com.arsdigita.cms.ui.templates.ItemTemplates -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=aGj6DUXHrM_-;
ad_user_login=23!1144090343692!6F4dS39zq585Hb1GoFxXnA==
Host: ccm-installer.boston.redhat.com:8080
Keep-Alive: 300
Referer:
http://ccm-installer.boston.redhat.com:8080/ccm/articles/admin/item.jsp?item_id=406&set_tab=1
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a) Gecko/20021212

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aGj6DUXHrM_- (expires: -1)
ad_user_login: 23!1144090343692!6F4dS39zq585Hb1GoFxXnA== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.ClassCastException: com.arsdigita.cms.ui.templates.ItemTemplates
	at com.arsdigita.cms.ui.ContentItemPage$2.actionPerformed(ContentItemPage.java:222)
	at com.arsdigita.bebop.TabbedPane.fireActionEvent(TabbedPane.java:198)
	at com.arsdigita.bebop.TabbedPane.respond(TabbedPane.java:469)
	at com.arsdigita.bebop.PageState.respond(PageState.java:348)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:241)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:72)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:249)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:59)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:163)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:192)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:205)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:61)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:135)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:199)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/item.jsp
Query string:
bbp.2184.d=asc&bbp.944.sel=74&bbp.192.sel=58&bbp.1990.sel=108&bbp.1025.sel=79&bbp.3.pane=1&bbp.211.sel=63&bbp.2442.d=asc&bbp.2429.d=asc&bbp.1042.sel=83&bbp.v=6&bbp.s=3&item_id=406&bbp.i=1gpziv34sa19paifm2a28h3zwctqyctl0j4hxl8wur758lsd3g663c2vig9ra17ucmq3atgizgbcqs21d8cyqlrg788hxcimqezbk3rcfasterr4uz8s4983afi53e7agr59n0s54mak245rekmtdtgxpei3971vrcrbl9y735ukjmvv3a5pgy2v5j3v2rno06vxdxxu9b6d92hqcb95obyha8gkqs8hhohoky4yzlyu5mbd7hxs1b3xonvpd2lnq9tp5s0djm88bx3zwszs2f8ha283jr7eosvfz4hsn1ihfk9eb6klyvq9r23fboxgy03c9xaxhunqhl4ewcljaz5cb8bale12ypvc5u68rbid0jc2vy18tb8v5f09q1m8ss7jl3mkl7araxv5acb8ek1gn5krnba45ukuuwtby5r5e0n271staz88pb6j1g5duua017y4kiy2oxnh2nh28cls&bbp.31.sel=54&bbp.e=select&bbp.2412.o=userEmail&bbp.1312.sel=92&bbp.2412.d=asc&bbp.1330.sel=97&bbp.2009.sel=113&g11n.enc=ISO-8859-1&bbp.1898.sel=102&bbp.1200.sel=87&bbp.848.sel=69
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ISO-8859-1
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/opt/oracle/product/jdbc/lib/classes12.zip:/usr/share/pgsql/java/rh-pgsql-jdbc2.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/local/java/lib/tools.jar:/usr/local/java/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /usr/local/java/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020622 (JIT enabled: jitc)
java.home: /usr/local/java/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/local/java/jre/bin:/usr/local/java/jre/bin/classic:/opt/oracle/product/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020622 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.9-e.12
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/usr/local/java/jre/lib/rt.jar:/usr/local/java/jre/lib/i18n.jar:/usr/local/java/jre/classes
sun.boot.library.path: /usr/local/java/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /opt/resin/2.1.4
user.home: /root
user.language: en
user.name: root
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Justin Ross 2003-04-04 17:52:30 EST
Fixed in perforce change 29528.

Note You need to log in before you can comment on or make changes to this bug.